/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/

::-webkit-scrollbar{
    height: 9px;
    width: 9px;
    background: gray;
}

/* Track */
::-webkit-scrollbar-track {
  background: #f1f1f1; 
}
 
/* Handle */
::-webkit-scrollbar-thumb {
  background: #888; 
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #999; 
}

::-webkit-scrollbar-thumb:horizontal{
    background: #999;
    border-radius: 10px;
}

/* checkout logotypy + style */


.woocommerce-checkout ul.woocommerce-shipping-methods input[type=radio], 
.woocommerce-cart ul.woocommerce-shipping-methods input[type=radio] {
   display:none;
}
.woocommerce-checkout #shipping_method li, 
.woocommerce-cart #shipping_method li{
    padding:1rem 2rem;
    border-radius:0.5rem;
    border:1px solid transparent;
    background-color:#f9f9f9;
    transition: all 0.3s ease;
}
.woocommerce-checkout #shipping_method li label, 
.woocommerce-cart #shipping_method li label{
	cursor:pointer;
}
.woocommerce-checkout #shipping_method li:hover, 
.woocommerce-cart #shipping_method li:hover{
    border:1px solid black;
}
.woocommerce-checkout #shipping_method li .shipping-method-description, 
.woocommerce-cart #shipping_method li .shipping-method-description{
    font-size:14px;
}
.woocommerce-checkout #shipping_method li:has(input:checked), 
.woocommerce-cart #shipping_method li:has(input:checked){
    border:1px solid black;
}

/* 

====== Magnific Zoom effect ======

*/

.white-popup {
  position: relative;
  background: #FFF;
  padding: 25px;
  width:auto;
  max-width: 600px;
  margin: 0 auto; 
}
.mfp-zoom-in {
  
  /* start state */
  .mfp-with-anim {
    opacity: 0;
    transition: all 0.2s ease-in-out; 
    transform: scale(0.8); 
  }
  
  &.mfp-bg {
    opacity: 0;
	  transition: all 0.3s ease-out;
  }
  
  /* animate in */
  &.mfp-ready {
    .mfp-with-anim {
      opacity: 1;
      transform: scale(1); 
    }
    &.mfp-bg {
      opacity: 0.8;
    }
  }
  
  /* animate out */
  &.mfp-removing {
    
    .mfp-with-anim {
      transform: scale(0.8); 
      opacity: 0;
    }
    &.mfp-bg {
      opacity: 0;
    }
    
  }
  
}

/* 
 * ----------------------------------------------
 * 	Składniki aktywne i tabela wartości odzywczych
 * ----------------------------------------------
 */ 
:root{
	   --repeat-autofit-150: repeat(auto-fit, minmax(150px, 1fr));
}
ul.skladniki.display-grid-autofit {
    list-style: none;
display: flex;
        flex-wrap: nowrap;
        overflow-x: scroll;
        padding: 3rem 0rem;
	gap:3rem;
}
@media(max-width:600px){
	ul.skladniki.display-grid-autofit{
		display:flex;
		flex-wrap:nowrap;
		overflow-x:scroll;
		padding: 3rem 0rem;
	}
}

ul.skladniki li.single-skladnik a {
	display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    text-align: center;
}
ul.skladniki li.single-skladnik img{
	max-width:120px;
}
li.single-skladnik p {
    font-size: 13px;
    text-transform: uppercase;
    font-weight: 500;
}

@media(max-width:600px){
	.skladnik-description{
		flex-direction:column;
    	justify-content: center;
    	text-align: center;
	}
}
.skladnik-description {
    display: flex;
    align-items: center;
    padding:3rem;
    gap:2rem;
}
.skladnik-description img{
    max-width:200px;
}
.tabela-wartosci-odzywczych .single-wartosc-odzywcza{
	display: flex;
    justify-content: space-between;
    border-bottom: 1px solid var(--bricks-border-color);
    padding: 1rem 0rem;
}

/* Tooltip */
.tooltip {
  position: relative;
}

.tooltip:after {
  content: attr(data-tooltip);
  width:fit-content;
  position: absolute;
  line-height:1;
  padding: 5px 12px!important;
  font-size: 14px;
  top: -10px;
  right: 0;
  left: 0;
  margin:0 auto;
  text-align: center;
  background-color: #000;
  color: #fff;
  border-radius: 4px;
  padding: 2px;
  opacity:0;
  transition:opacity 0.3s ease;
}
.tooltip:hover:after {
  opacity:1;
}
.tooltip:before{
  content:url('data:image/svg+xml,%3C%3Fxml%20version%3D%221.0%22%20encoding%3D%22iso-8859-1%22%3F%3E%0A%3C!--%20Generator%3A%20Adobe%20Illustrator%2019.0.0%2C%20SVG%20Export%20Plug-In%20.%20SVG%20Version%3A%206.00%20Build%200)%20%20--%3E%0A%3C!--%20License%3A%20CC0.%20Made%20by%20SVG%20Repo%3A%20https%3A%2F%2Fwww.svgrepo.com%2Fsvg%2F104388%2Ftriangle%20--%3E%0A%3Csvg%20version%3D%221.1%22%20id%3D%22Capa_1%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20x%3D%220px%22%20y%3D%220px%22%0A%09%20viewBox%3D%220%200%20490%20490%22%20style%3D%22enable-background%3Anew%200%200%20490%20490%3B%22%20xml%3Aspace%3D%22preserve%22%3E%0A%3Cpolygon%20points%3D%22245%2C456.701%20490%2C33.299%200%2C33.299%20%22%2F%3E%0A%3C%2Fsvg%3E%0A');
  position:absolute;
  top: 6px;
  right:0;
  left:0;
  margin:0 auto;
  width: 10px;
  height: 10px;
  display:block;
  opacity: 0;
  transition: opacity 0.2s ease;
}
.tooltip:hover:before{
  opacity:1;
}
/*
 * 
 * --------------------------------------
 * 		Opinie
 * --------------------------------------
 */
.glsr-default .glsr-review{
	flex-wrap:nowrap!important;
}
.review-first-row{
	min-width:30%;
}
.review-first-row .pseudo-avatar{
	min-width: 30px;
    min-height: 30px;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background-color: #FBF5E3;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 14px;
	position:relative;
}
.review-first-row span.pseudo-avatar:after {
	content: '✓';
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background: black;
    display: flex;
    font-size: 7px;
    justify-content: center;
    align-items: center;
    color: white;
    padding: 4px;
    position: absolute;
    bottom: 0;
    right: -3px;
}

.review-first-row .author{
	display:block;
	margin-bottom:2rem;
}
.review-first-row .woocommerce-review__verified{
	font-size:14px;
	font-weight:400!important;
}
@media(max-width:600px){
	.review-first-row{
		width:100%;
	}
	.glsr-default .glsr-review{
	flex-wrap:wrap!important;
}
}
.glsr-review-author{
	width:100%!important;
}
.glsr-review-author span{
	display: flex;
    justify-content: space-between;
    width: 100%;
}
.glsr-review {
	padding: 3rem 0rem;
    border-bottom: 1px solid;
    gap: clamp(1rem, -0.761rem + 7.512vw, 6rem) !important;
}
.glsr-review-author{
	font-weight: 600;
}
.glsr-reviews{
	gap:0!important;
}
.review-last-row .glsr-review-rating{
	margin-bottom:2rem;
}
.review-last-row .glsr-star{
	    background-image: none !important;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px;
    width: fit-content;
	height:fit-content;
}
.review-last-row .glsr-stars{
border-radius: 8px;
    background-color: #FBF5E3;
	padding: 2px 4px;
	gap:1px;
}
/* 
 * 
 * Karuzela składników 
 * 
 * 
 */
.fixed-karuzela-skladnikow{
	background-color: rgb(0 0 0 / 30%);
    position: fixed;
    top: 0;
    height: 100vh;
    left: 0;
    justify-content: center;
    align-items: center;
}